#include "Win32Timer.h"
#include <cstdio>
#include <conio.h>
#include <cstring>
#include <ctime>
#include <cstdlib>
#include "Trie.h"

int main() {
    imprimirNome();
	unsigned long cTime1, cTime2;
	Win32Timer timer;
	FILE *f;
	char palavra[50], prefixo[50];
	f = fopen("listaPalavras.txt", "r");
	Trie *trie = NULL;
	int numLinha = 0;
	while (!feof(f)) {
		fscanf(f, "%s", palavra);
		inserir(trie, palavra, ++numLinha);
	}
	fclose(f);

	f = fopen("listaRemocao.txt", "r");
	while (!feof(f)) {
		fscanf(f, "%s", palavra);
        printf("Removeu %s? %s\n", palavra, (remover(trie, palavra) ? "sim" : "no"));		
	}
	printf("\n\n");
	fclose(f);

	f = fopen("listaConsulta.txt", "r");
	timer.reset();
	cTime1 = timer.getNanoseconds();
	while (!feof(f)) {
		fscanf(f, "%s", palavra);
		if (pesquisar(trie, palavra, numLinha)) {
			printf("Achou %s na linha %d\n", palavra, numLinha);
        } else {
			printf("No achou %s\n", palavra);
		}
	}
	cTime2 = timer.getNanoseconds();
	fclose(f);

	printf("\n\n------------------------------\n");
	printf("Tempo Pesquisa: %u ns\n\n", (cTime2 - cTime1));

	esvaziar(trie);
	printf("\n\nPressione qualquer tecla para finalizar... ");
	getch();
}
